Home · Quickstart · User Guide and Examples · Interfaces Index · Developers · About · Nipy

# nipype.pipeline.plugins.sgegraph module

Parallel workflow execution via SGE

class nipype.pipeline.plugins.sgegraph.SGEGraphPlugin(**kwargs)

  Bases: `nipype.pipeline.plugins.base.GraphPluginBase`

  Execute using SGE

  The plugin_args input to run can be used to control the SGE execution. Currently supported options are:

  - template : template to use for batch job submission

  - qsub_argsarguments to be prepended to the job execution script in the

      qsub call

nipype.pipeline.plugins.sgegraph.node_completed_status(checknode)

  A function to determine if a node has previously completed it’s work :param checknode: The node to check the run status :return: boolean value True indicates that the node does not need to be run.